#!/bin/sh
# 
# file   urmagic_robotiq_gripper.sh
# author Pierre-Olivier Proulx <poproulx@robotiq.com>
#  
# Script to install the 3F gripper programs

VERSION="2.0.0"
UR_MAGIC_LOCATION="`dirname "${BASH_SOURCE[0]}"`"
PROGRAMS_DIR_DEST="robotiq_3f_gripper_programs"
PROGRAMS_DIR_SRC="robotiq_3f_gripper_programs"

function is_files_present () {
	if [ ! -d $1/$PROGRAMS_DIR_SRC ]; then
		return 1
	fi

	return 0
}

# Warn user not to remove USB key
echo "! USB !" | DISPLAY=:0 aosd_cat -R red -x 230 -y -210 -n "Arial Black 80"
echo "Installing Robotiq 2F Gripper Driver ${VERSION}"
echo "Installing Robotiq 2F Gripper Driver ${VERSION}" | DISPLAY=:0 aosd_cat -R blue -x 230 -y -310 -n "Arial Black 30"

#check if files are present
if is_files_present ${UR_MAGIC_LOCATION}; then
	echo "files presents"
else
	echo "Installation files missing. Unzip software package properly."
	echo "Installation files missing. Unzip software package properly." | DISPLAY=:0 aosd_cat -R red -x 230 -y -210 -n "Arial Black 80"

	exit 1
fi


# Copy the scripts
echo "Copying the scripts" | DISPLAY=:0 aosd_cat -R blue -x 230 -y -220 -n "Arial Black 25" &
mkdir -p /programs/$PROGRAMS_DIR_DEST
cp -rf $UR_MAGIC_LOCATION/$PROGRAMS_DIR_SRC/* /programs/$PROGRAMS_DIR_DEST/

# Notify user it is ok to remove USB key
echo "<- USB" | DISPLAY=:0 aosd_cat -x 200 -y -210 -n "Arial Black 80"

exit 0;
